Page MenuHomePhabricator

Facilitate Wikidev'17 main topic "Building on Wikimedia services: APIs and Developer Resources"
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Building_on_Wikimedia_services:_APIs_and_Developer_Resources

  • Facilitators (@chasemp and @bd808 are taking this role as interim; it would be better to have volunteer developer driving this main topic)
  • Problem statement
  • Expectations
  • Links
  • Key contributors invited

... and of course, activities proposed.

Event Timeline

chasemp created this task.Oct 6 2016, 9:09 PM
Qgil removed Qgil as the assignee of this task.Oct 7 2016, 7:44 AM

@bd808 would you be interested in doing a bit on Striker that includes the importance of code availability and licensing and all that?

We can team up and make it broad-ish or whatever works

@Milimetric and @Ottomata Would you guys be interested in talking about wikistats 2.0 and data pipelines?

chasemp added a subscriber: Andrew.Oct 7 2016, 3:09 PM

@Andrew would you be willing to demo horizon but esp the puppet role integration and doing a bit of talking on best practices surrounding?

@hashar and @thcipriani it would be really cool if you guys were willing to do a bit of talkign about getting code into mediawiki. This would include getting the change on gerrit, how CI interacts (and some good patterns on CI usage), what beta is and how releases are cut. It could include how code release happens at a high level and what it means when we roll back. Basically, this would be "the lifecycle of your volunteer patch" type talk with a lot of best practice sprinkled in. Any interest?

@jynus and @Marostegui would you guys be at all interested in talking about labsdb and doing a bit on how to use it well vs how to sink it? I'm not sure how all encompassing it would be. Kind of a judgement call, but I think it would be awesome if it included some context on our schema's and common queries. I have seen @jynus give a lot of good advice (on phab even) to volunteers doing something illadvised, it would be very neat if we could wrap that up in a bit of an "do this, not that" talk.

@DarTar -- any interest in doing a talk on how you guys are currently using PAWS and quarry (and where you see it's use going)? Sort of a research perspective on current tools and why you are (if you are) excited about the future. IIRC evangelizing this sort of thing is on the agenda otherwise so may be a good bit.

@chasemp I am not attending the summit this year, but @Halfak is.

I'll talk to @Halfak and @yuvipanda and see if there's interest, thanks for the ping (and +1 on the session proposal, this should really be the topic of the whole summit ;) )

Andrew added a comment.Oct 7 2016, 5:46 PM

@Andrew would you be willing to demo horizon but esp the puppet role integration and doing a bit of talking on best practices surrounding?

Yep!

@Milimetric and @Ottomata Would you guys be interested in talking about wikistats 2.0 and data pipelines?

Yes, happy to.

bd808 added a comment.Oct 7 2016, 6:54 PM

@bd808 would you be interested in doing a bit on Striker that includes the importance of code availability and licensing and all that?
We can team up and make it broad-ish or whatever works

Yeah, by the time of the conf I should have Striker doing account creation, ssh key management, and hopefully service group creation too.

If all things go to plan we will also be ready to start trialing PaaS solutions that layer over kubernetes in Q3, so that might be another topic for a conference session.

hashar removed a subscriber: hashar.Oct 8 2016, 8:04 AM
hashar added a subscriber: hashar.

@yuvipanda I'm hoping you can do a session that is basically showing off how cool PAWS is and hopefully some Quarry is in the mix. This would hopefully especially show what whacky processes these can deprecate and also a bit of dreaming on where it can go. The idea possibly is grabbing peoples attention and laying the mindshare groundwork for the next few years from these angles. Or whatever you think :)

Thanks for the links, @jcrespo. Was there a video published of your talk at Percona Live?

RobLa-WMF renamed this task from T147406 Facilitate Wikidev'17 main topic "Building on Wikimedia services: APIs and Developer Resources" to Facilitate Wikidev'17 main topic "Building on Wikimedia services: APIs and Developer Resources".Oct 11 2016, 8:49 PM

@DarTar -- any interest in doing a talk on how you guys are currently using PAWS and quarry (and where you see it's use going)? Sort of a research perspective on current tools and why you are (if you are) excited about the future. IIRC evangelizing this sort of thing is on the agenda otherwise so may be a good bit.

@chasemp I am not attending the summit this year, but @Halfak is.
I'll talk to @Halfak and @yuvipanda and see if there's interest, thanks for the ping (and +1 on the session proposal, this should really be the topic of the whole summit ;) )

@yuvipanda I'm hoping you can do a session that is basically showing off how cool PAWS is and hopefully some Quarry is in the mix. This would hopefully especially show what whacky processes these can deprecate and also a bit of dreaming on where it can go. The idea possibly is grabbing peoples attention and laying the mindshare groundwork for the next few years from these angles. Or whatever you think :)

I've now officially created a complex thread within this linear comment history. :)

@Halfak and @yuvipanda

What do you think about teaming up on a 'show off PAWS and Quarry" and possibilities talk? It would be great if people walked away excited to use it kind of deal, but I'm also really interested in the research perspective on how it's great and why in general. I think more publicity for PAWS especially is a good thing (tm).

@Nikerabbit

Hey (followup from my irc pinging) :)

I know you are in the middle of https://meta.wikimedia.org/wiki/Working_with_data_in_Wikimedia_and_MediaWiki and I have no doubt that there are a myriad of lessons and interesting experiences that come from using Labs and mediawiki-vagrant as a platform in a structured environment. It would be super awesome if you would be willing to give a talk about this experience. This is useful from the perspective of bootstrapping folks of varying levels of experience in these tools. It's not really a pedagogy thing and not really a live demo, but whatever you think would fuel the fire for more developers and help them get into it. I imagine you'll have a better idea than me what is relevant.

@hashar and @thcipriani it would be really cool if you guys were willing to do a bit of talkign about getting code into mediawiki. This would include getting the change on gerrit, how CI interacts (and some good patterns on CI usage), what beta is and how releases are cut. It could include how code release happens at a high level and what it means when we roll back. Basically, this would be "the lifecycle of your volunteer patch" type talk with a lot of best practice sprinkled in. Any interest?

I found out neither of these fine gentlemen will be in attendance at the moment...so... @demon and/or @greg is this a conversation you would be willing to have with a room full of people?

My impression is even WMF devs could use a refresher on what the current lifecycle is, but a bend on the narrative towards volunteers how code gets from a->z would be excellent for creating a common vocabulary.

chasemp added a subscriber: Anomie.Oct 12 2016, 7:40 PM

@Anomie

Follow up from irc ping :)

I'm not sure what a talk would look like exactly but my belief is you are one of the better folks to talk about API use in general. My impression is less of a walk through for cataloguing endpoints and more of a show and tell for common tasks and how you would do them. Are lesser known and appreciated API calls a thing? I think it would be a great thing to do.

Re. PAWS and or ORES, I think the best format would be a workshop. We'd need to have people for at least 2 hours. Preferably 4-8 hours. That might be hard to fit into the dev summit format. @yuvipanda, what do you think? I'm sure we could do *something* with 30mins to an hour if that's the best we could get.

Nikerabbit moved this task from Backlog to Watching on the User-Nikerabbit board.

Thanks for the links, @jcrespo. Was there a video published of your talk at Percona Live?

No, I am not important enough to get my talks recorded :-P Only keynotes from sponsors get recorded, I think, and I think they could claim ownership of them. But I could deliver some of those at a Wikimedia tutorial (outside of the dev days, as they are too long).

I would like to do some "quick tips, myths and common mistakes about our databases" for mediawiki developers and labs users- not sure if and where would that fit (30 minutes talk + questions).

bd808 added a comment.Oct 13 2016, 3:46 PM

I would like to do some "quick tips, myths and common mistakes about our databases" for mediawiki developers and labs users- not sure if and where would that fit (30 minutes talk + questions).

I think this would fit well in the Tech Talks series that @Rfarrand manages. A nice thing about those talks is that they are recorded and easy to post on Commons for linking to various places on wiki. It would also be a great session at any hackathon. We haven't been historically great at recording those though.

Qgil added a comment.Oct 14 2016, 9:38 AM

Yes, the Summit focus primarily on discussions. Tutorial-like sessions fit better in Tech Talks for the reasons explained by @bd808. And yes, we are willing to improve video coverage for hackathons...

T147177 seems really relevant to this topic. @chasemp and @bd808 are listed as facilitators but it's noted "it would be better to have volunteer developer driving this main topic". Would @Hydriz be a logical person to ask? Assuming the answer is "yes", then the natural next question: @Hydriz, is this something you'd be interested in helping with?

@RobLa-WMF This topic seems too broad for me to facilitate discussions on, as I am only focusing on the Wikimedia dumps at the moment. Nonetheless, I am available to help if the need arises. :)

This summit sounds like a good opportunity to shed some light on our Wikimedia dumps, so I am willing to provide help on this matter too, if it is necessary.

Hydriz moved this task from Backlog to Review/Feedback on the User-Hydriz board.
demon added a comment.Oct 17 2016, 9:55 PM

@hashar and @thcipriani it would be really cool if you guys were willing to do a bit of talkign about getting code into mediawiki. This would include getting the change on gerrit, how CI interacts (and some good patterns on CI usage), what beta is and how releases are cut. It could include how code release happens at a high level and what it means when we roll back. Basically, this would be "the lifecycle of your volunteer patch" type talk with a lot of best practice sprinkled in. Any interest?

I found out neither of these fine gentlemen will be in attendance at the moment...so... @demon and/or @greg is this a conversation you would be willing to have with a room full of people?
My impression is even WMF devs could use a refresher on what the current lifecycle is, but a bend on the narrative towards volunteers how code gets from a->z would be excellent for creating a common vocabulary.

Yeah I don't see why not.

chasemp closed this task as Resolved.Feb 15 2017, 3:28 PM
chasemp claimed this task.

we uh, facilitated this :) I am going to resolve this task to be tidy. Feel free to shout if that's the wrong thing.